---
references:
- id: AryaAutomatic2022
  accessed:
    - year: 2022
      month: 12
      day: 2
  author:
    - family: Arya
      given: Gaurav
    - family: Schauer
      given: Moritz
    - family: Schäfer
      given: Frank
    - family: Rackauckas
      given: Christopher Vincent
  citation-key: AryaAutomatic2022
  event-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2022
      month: 10
      day: 31
  language: en
  title: Automatic Differentiation of Programs with Discrete Randomness
  type: paper-conference
  URL: https://openreview.net/forum?id=V22VeIZ9QU

- id: BaldiAssessing2000
  accessed:
    - year: 2024
      month: 7
      day: 2
  author:
    - family: Baldi
      given: Pierre
    - family: Brunak
      given: Søren
    - family: Chauvin
      given: Yves
    - family: Andersen
      given: Claus A. F.
    - family: Nielsen
      given: Henrik
  citation-key: BaldiAssessing2000
  container-title: Bioinformatics
  container-title-short: Bioinformatics
  DOI: 10.1093/bioinformatics/16.5.412
  ISSN: 1367-4803
  issue: '5'
  issued:
    - year: 2000
      month: 5
      day: 1
  page: 412-424
  title: >-
    Assessing the accuracy of prediction algorithms for classification: an
    overview
  type: article-journal
  volume: '16'

- id: BrodersenBalanced2010
  accessed:
    - year: 2023
      month: 11
      day: 5
  author:
    - family: Brodersen
      given: Kay Henning
    - family: Ong
      given: Cheng Soon
    - family: Stephan
      given: Klaas Enno
    - family: Buhmann
      given: Joachim M.
  citation-key: BrodersenBalanced2010
  collection-title: ICPR '10
  container-title: Proceedings of the 2010 20th International Conference on Pattern Recognition
  DOI: 10.1109/ICPR.2010.764
  event-place: USA
  event-title: 2010 20th International Conference on Pattern Recognition
  ISBN: 978-0-7695-4109-9
  issued:
    - year: 2010
      month: 8
      day: 23
  page: 3121–3124
  publisher: IEEE Computer Society
  publisher-place: USA
  title: The Balanced Accuracy and Its Posterior Distribution
  type: paper-conference
  URL: https://kaybrodersen.github.io/publications/Brodersen_2010b_ICPR.pdf

- id: ChenAnalog2022
  accessed:
    - year: 2023
      month: 10
      day: 13
  author:
    - family: Chen
      given: Ting
    - family: Zhang
      given: Ruixiang
    - family: Hinton
      given: Geoffrey
  citation-key: ChenAnalog2022
  event-title: The Eleventh International Conference on Learning Representations
  issued:
    - year: 2022
      month: 9
      day: 29
  language: en
  title: >-
    Analog Bits: Generating Discrete Data using Diffusion Models with
    Self-Conditioning
  type: paper-conference
  URL: https://openreview.net/forum?id=3itjR9QxFw

- id: CheYour2020
  accessed:
    - year: 2021
      month: 6
      day: 7
  author:
    - family: Che
      given: Tong
    - family: Zhang
      given: Ruixiang
    - family: Sohl-Dickstein
      given: Jascha
    - family: Larochelle
      given: Hugo
    - family: Paull
      given: Liam
    - family: Cao
      given: Yuan
    - family: Bengio
      given: Yoshua
  citation-key: CheYour2020
  container-title: arXiv:2003.06060 [cs, stat]
  issued:
    - year: 2020
      month: 3
      day: 23
  title: >-
    Your GAN is Secretly an Energy-based Model and You Should use Discriminator
    Driven Latent Sampling
  type: article-journal
  URL: http://arxiv.org/abs/2003.06060

- id: DyrlandDont2023
  accessed:
    - year: 2024
      month: 7
      day: 2
  author:
    - family: Dyrland
      given: K.
    - family: Lundervold
      given: A. S.
    - family: Mana
      given: P. G. L. Porta
  citation-key: DyrlandDont2023
  DOI: 10.48550/arXiv.2302.10578
  issued:
    - year: 2023
      month: 2
      day: 21
  number: arXiv:2302.10578
  publisher: arXiv
  title: >-
    Don't guess what's true: choose what's optimal. A probability transducer for
    machine-learning classifiers
  type: article
  URL: http://arxiv.org/abs/2302.10578

- id: FerrerAnalysis2023
  accessed:
    - year: 2024
      month: 9
      day: 12
  author:
    - family: Ferrer
      given: Luciana
  citation-key: FerrerAnalysis2023
  DOI: 10.48550/arXiv.2209.05355
  issued:
    - year: 2023
      month: 9
      day: 20
  number: arXiv:2209.05355
  publisher: arXiv
  title: Analysis and Comparison of Classification Metrics
  type: article
  URL: http://arxiv.org/abs/2209.05355

- id: FlachCoherent2011
  author:
    - family: Flach
      given: Peter
    - family: Hernández-Orallo
      given: José
    - family: Ferri
      given: Cesar
  citation-key: FlachCoherent2011
  container-title: >-
    Proceedings of the 28th International Conference on Machine Learning
    (ICML-11)
  issued:
    - year: 2011
  page: 657–664
  title: >-
    A Coherent Interpretation of AUC as a Measure of Aggregated Classification
    Performance
  type: paper-conference
  URL: http://www.icml-2011.org/papers/385_icmlpaper.pdf

- id: FuchiResBit2023
  accessed:
    - year: 2023
      month: 10
      day: 13
  author:
    - family: Fuchi
      given: Masane
    - family: Zanashir
      given: Amar
    - family: Minami
      given: Hiroto
    - family: Takagi
      given: Tomohiro
  citation-key: FuchiResBit2023
  DOI: 10.48550/arXiv.2309.17196
  issued:
    - year: 2023
      month: 9
      day: 29
  number: arXiv:2309.17196
  publisher: arXiv
  title: 'ResBit: Residual Bit Vector for Categorical Values'
  type: article
  URL: http://arxiv.org/abs/2309.17196
  version: '1'

- id: GneitingStrictly2007
  accessed:
    - year: 2020
      month: 8
      day: 15
  author:
    - family: Gneiting
      given: Tilmann
    - family: Raftery
      given: Adrian E
  citation-key: GneitingStrictly2007
  container-title: Journal of the American Statistical Association
  container-title-short: Journal of the American Statistical Association
  DOI: 10.1198/016214506000001437
  ISSN: 0162-1459, 1537-274X
  issue: '477'
  issued:
    - year: 2007
      month: 3
  language: en
  page: 359-378
  title: Strictly Proper Scoring Rules, Prediction, and Estimation
  type: article-journal
  volume: '102'

- id: GorodkinComparing2004
  author:
    - family: Gorodkin
      given: J.
  citation-key: GorodkinComparing2004
  container-title: Computational Biology and Chemistry
  container-title-short: Comput Biol Chem
  DOI: 10.1016/j.compbiolchem.2004.09.006
  ISSN: 1476-9271
  issue: 5-6
  issued:
    - year: 2004
      month: 12
  language: eng
  page: 367-374
  PMID: '15556477'
  title: Comparing two K-category assignments by a K-category correlation coefficient
  type: article-journal
  volume: '28'

- id: GozliPrinciples2023
  accessed:
    - year: 2023
      month: 8
      day: 4
  author:
    - family: Gozli
      given: Davood
  citation-key: GozliPrinciples2023
  container-title: Seeds of Science
  container-title-short: SoS
  DOI: 10.53975/6wb9-h8ks
  ISSN: '27681254'
  issued:
    - year: 2023
  title: 'Principles of Categorization: A Synthesis'
  type: article-journal

- id: GrathwohlOops2021
  accessed:
    - year: 2022
      month: 12
      day: 5
  author:
    - family: Grathwohl
      given: Will
    - family: Swersky
      given: Kevin
    - family: Hashemi
      given: Milad
    - family: Duvenaud
      given: David
    - family: Maddison
      given: Chris J.
  citation-key: GrathwohlOops2021
  DOI: 10.48550/arXiv.2102.04509
  issued:
    - year: 2021
      month: 6
      day: 6
  number: arXiv:2102.04509
  publisher: arXiv
  title: 'Oops I Took A Gradient: Scalable Sampling for Discrete Distributions'
  type: article
  URL: http://arxiv.org/abs/2102.04509

- id: HandMeasuring2009
  author:
    - family: Hand
      given: David J.
  citation-key: HandMeasuring2009
  container-title: Machine Learning
  container-title-short: Mach Learn
  DOI: 10.1007/s10994-009-5119-5
  ISSN: 0885-6125, 1573-0565
  issue: '1'
  issued:
    - year: 2009
      month: 10
      day: 1
  language: en
  page: 103-123
  title: >-
    Measuring classifier performance: a coherent alternative to the area under
    the ROC curve
  type: article-journal
  URL: >-
    https://pdfs.semanticscholar.org/1fcb/f15898db36990f651c1e5cdc0b405855de2c.pdf
  volume: '77'

- id: HanleyMethod1983
  author:
    - family: Hanley
      given: J A
    - family: McNeil
      given: B J
  citation-key: HanleyMethod1983
  container-title: Radiology
  container-title-short: Radiology
  DOI: 10.1148/radiology.148.3.6878708
  ISSN: 0033-8419
  issue: '3'
  issued:
    - year: 1983
      month: 9
      day: 1
  page: 839-843
  title: >-
    A method of comparing the areas under receiver operating characteristic
    curves derived from the same cases.
  type: article-journal
  volume: '148'

- id: HuangTutorial2020
  accessed:
    - year: 2020
      month: 11
      day: 1
  author:
    - family: Huang
      given: Yingxiang
    - family: Li
      given: Wentao
    - family: Macheret
      given: Fima
    - family: Gabriel
      given: Rodney A
    - family: Ohno-Machado
      given: Lucila
  citation-key: HuangTutorial2020
  container-title: 'Journal of the American Medical Informatics Association : JAMIA'
  container-title-short: J Am Med Inform Assoc
  DOI: 10.1093/jamia/ocz228
  ISSN: 1067-5027
  issue: '4'
  issued:
    - year: 2020
      month: 2
      day: 27
  page: 621-633
  PMCID: PMC7075534
  PMID: '32106284'
  title: >-
    A tutorial on calibration measurements and calibration models for clinical
    prediction models
  type: article-journal
  URL: https://www.ncbi.nlm.nih.gov/pmc/articles/PMC7075534/
  volume: '27'

- id: JungSemiSupervised2016
  accessed:
    - year: 2017
      month: 8
      day: 12
  author:
    - family: Jung
      given: Alexander
    - family: Hero III
      given: Alfred O.
    - family: Mara
      given: Alexandru
    - family: Jahromi
      given: Saeed
  citation-key: JungSemiSupervised2016
  container-title: arXiv:1612.01414 [cs, stat]
  issued:
    - year: 2016
      month: 12
      day: 5
  title: Semi-Supervised Learning via Sparse Label Propagation
  type: article-journal
  URL: http://arxiv.org/abs/1612.01414

- id: KimClassification2021
  accessed:
    - year: 2021
      month: 3
      day: 1
  author:
    - family: Kim
      given: Ilmun
    - family: Ramdas
      given: Aaditya
    - family: Singh
      given: Aarti
    - family: Wasserman
      given: Larry
  citation-key: KimClassification2021
  container-title: The Annals of Statistics
  DOI: 10.1214/20-AOS1962
  ISSN: 0090-5364, 2168-8966
  issue: '1'
  issued:
    - year: 2021
      month: 2
  page: 411-434
  publisher: Institute of Mathematical Statistics
  title: Classification accuracy as a proxy for two-sample testing
  type: article-journal
  volume: '49'

- id: LoboAUC2008
  author:
    - family: Lobo
      given: Jorge M.
    - family: Jiménez-Valverde
      given: Alberto
    - family: Real
      given: Raimundo
  citation-key: LoboAUC2008
  container-title: Global Ecology and Biogeography
  DOI: 10.1111/j.1466-8238.2007.00358.x
  ISSN: 1466-8238
  issue: '2'
  issued:
    - year: 2008
      month: 3
      day: 1
  language: en
  page: 145-151
  title: >-
    AUC: a misleading measure of the performance of predictive distribution
    models
  type: article-journal
  URL: http://www2.unil.ch/biomapper/Download/Lobo-GloEcoBioGeo-2007.pdf
  volume: '17'

- id: MatthewsComparison1975
  author:
    - family: Matthews
      given: B. W.
  citation-key: MatthewsComparison1975
  container-title: Biochimica et Biophysica Acta (BBA) - Protein Structure
  container-title-short: Biochimica et Biophysica Acta (BBA) - Protein Structure
  DOI: 10.1016/0005-2795(75)90109-9
  ISSN: 0005-2795
  issue: '2'
  issued:
    - year: 1975
      month: 10
      day: 20
  page: 442-451
  title: >-
    Comparison of the predicted and observed secondary structure of T4 phage
    lysozyme
  type: article-journal
  volume: '405'

- id: MenonBipartite2016
  accessed:
    - year: 2020
      month: 8
      day: 15
  author:
    - family: Menon
      given: Aditya Krishna
    - family: Williamson
      given: Robert C.
  citation-key: MenonBipartite2016
  container-title: Journal of Machine Learning Research
  ISSN: 1533-7928
  issue: '195'
  issued:
    - year: 2016
  page: 1-102
  title: 'Bipartite Ranking: a Risk-Theoretic Perspective'
  type: article-journal
  URL: http://jmlr.org/papers/v17/14-265.html
  volume: '17'

- id: No2024
  accessed:
    - year: 2024
      month: 9
      day: 12
  citation-key: No2024
  container-title: Transactions on Machine Learning Research
  issued:
    - year: 2024
      month: 6
      day: 17
  language: en
  title: >-
    No Need for Ad-hoc Substitutes: The Expected Cost is a Principled
    All-purpose Classification Metric
  type: article-journal
  URL: https://openreview.net/forum?id=5PPbvCExZs&noteId=5PPbvCExZs

- id: NockScaled2016
  accessed:
    - year: 2020
      month: 8
      day: 15
  author:
    - family: Nock
      given: Richard
    - family: Menon
      given: Aditya Krishna
    - family: Ong
      given: Cheng Soon
  citation-key: NockScaled2016
  container-title: arXiv:1607.00360 [cs, stat]
  issued:
    - year: 2016
      month: 7
      day: 1
  title: A scaled Bregman theorem with applications
  type: article-journal
  URL: http://arxiv.org/abs/1607.00360

- id: PolsonBayesian2013
  accessed:
    - year: 2021
      month: 11
      day: 29
  author:
    - family: Polson
      given: Nicholas G.
    - family: Scott
      given: James G.
    - family: Windle
      given: Jesse
  citation-key: PolsonBayesian2013
  container-title: Journal of the American Statistical Association
  DOI: 10.1080/01621459.2013.829001
  ISSN: 0162-1459
  issue: '504'
  issued:
    - year: 2013
      month: 12
      day: 1
  page: 1339-1349
  publisher: Taylor & Francis
  title: Bayesian Inference for Logistic Models Using Pólya–Gamma Latent Variables
  type: article-journal
  URL: http://arxiv.org/abs/1205.0310
  volume: '108'

- id: PowersEvaluation2007
  author:
    - family: Powers
      given: David Martin
  citation-key: PowersEvaluation2007
  ISSN: 2229-3981
  issued:
    - year: 2007
  language: en
  title: >-
    Evaluation: from Precision, Recall and F-measure to ROC, Informedness,
    Markedness and Correlation
  type: article-journal
  URL: http://dspace.flinders.edu.au/xmlui/handle/2328/27165

- id: ProvostRobust2001
  accessed:
    - year: 2024
      month: 7
      day: 2
  author:
    - family: Provost
      given: Foster
    - family: Fawcett
      given: Tom
  citation-key: ProvostRobust2001
  container-title: Machine Learning
  container-title-short: Machine Learning
  DOI: 10.1023/A:1007601015854
  ISSN: 1573-0565
  issue: '3'
  issued:
    - year: 2001
      month: 3
      day: 1
  language: en
  page: 203-231
  title: Robust Classification for Imprecise Environments
  type: article-journal
  URL: http://arxiv.org/abs/cs/0009007
  volume: '42'

- id: ReadClassifier2021
  accessed:
    - year: 2021
      month: 3
      day: 9
  author:
    - family: Read
      given: Jesse
    - family: Pfahringer
      given: Bernhard
    - family: Holmes
      given: Geoffrey
    - family: Frank
      given: Eibe
  citation-key: ReadClassifier2021
  container-title: Journal of Artificial Intelligence Research
  DOI: 10.1613/jair.1.12376
  ISSN: 1076-9757
  issued:
    - year: 2021
      month: 2
      day: 11
  language: en
  page: 683-718
  title: 'Classifier Chains: A Review and Perspectives'
  type: article-journal
  volume: '70'

- id: ReidInformation2011
  accessed:
    - year: 2016
      month: 7
      day: 22
  author:
    - family: Reid
      given: Mark D.
    - family: Williamson
      given: Robert C.
  citation-key: ReidInformation2011
  container-title: Journal of Machine Learning Research
  ISSN: ISSN 1533-7928
  issue: Mar
  issued:
    - year: 2011
  page: 731-817
  title: Information, Divergence and Risk for Binary Experiments
  type: article-journal
  URL: http://www.jmlr.org/papers/v12/reid11a.html
  volume: '12'

- id: SpackmanSignal1989
  accessed:
    - year: 2021
      month: 3
      day: 9
  author:
    - family: Spackman
      given: Kent A.
  citation-key: SpackmanSignal1989
  container-title: Proceedings of the Sixth International Workshop on Machine Learning
  DOI: 10.1016/B978-1-55860-036-2.50047-3
  editor:
    - family: Segre
      given: Alberto Maria
  event-place: San Francisco (CA)
  event-title: ML
  ISBN: 978-1-55860-036-2
  issued:
    - year: 1989
      month: 1
      day: 1
  language: en
  page: 160-163
  publisher: Morgan Kaufmann
  publisher-place: San Francisco (CA)
  title: 'Signal detection theory: valuable tools for evaluating inductive learning'
  type: paper-conference
  URL: https://openreview.net/forum?id=HyZHljZu-S

- id: SuzukiPolicy2022
  accessed:
    - year: 2024
      month: 10
      day: 9
  author:
    - family: Suzuki
      given: Akisato
  citation-key: SuzukiPolicy2022
  container-title: Statistics and Public Policy
  DOI: 10.1080/2330443X.2022.2050328
  ISSN: 'null'
  issue: '1'
  issued:
    - year: 2022
      month: 12
      day: 31
  page: 85-96
  publisher: ASA Website
  title: >-
    Policy Implications of Statistical Estimates: A General Bayesian
    Decision-Theoretic Model for Binary Outcomes
  type: article-journal
  volume: '9'

- id: TiaoBORE2021
  accessed:
    - year: 2024
      month: 4
      day: 11
  author:
    - family: Tiao
      given: Louis C.
    - family: Klein
      given: Aaron
    - family: Seeger
      given: Matthias W.
    - family: Bonilla
      given: Edwin V.
    - family: Archambeau
      given: Cedric
    - family: Ramos
      given: Fabio
  citation-key: TiaoBORE2021
  container-title: Proceedings of the 38th International Conference on Machine Learning
  event-title: International Conference on Machine Learning
  ISSN: 2640-3498
  issued:
    - year: 2021
      month: 7
      day: 1
  language: en
  page: 10289-10300
  publisher: PMLR
  title: 'BORE: Bayesian Optimization by Density-Ratio Estimation'
  type: paper-conference
  URL: https://proceedings.mlr.press/v139/tiao21a.html

- id: TiaoCycleConsistent2018
  accessed:
    - year: 2024
      month: 4
      day: 18
  author:
    - family: Tiao
      given: Louis C.
    - family: Bonilla
      given: Edwin V.
    - family: Ramos
      given: Fabio
  citation-key: TiaoCycleConsistent2018
  DOI: 10.48550/arXiv.1806.01771
  issued:
    - year: 2018
      month: 8
      day: 24
  number: arXiv:1806.01771
  publisher: arXiv
  title: Cycle-Consistent Adversarial Learning as Approximate Bayesian Inference
  type: article
  URL: http://arxiv.org/abs/1806.01771

- id: vandenGoorberghHarm2022
  accessed:
    - year: 2022
      month: 7
      day: 5
  author:
    - family: Goorbergh
      given: Ruben
      non-dropping-particle: van den
    - family: Smeden
      given: Maarten
      non-dropping-particle: van
    - family: Timmerman
      given: Dirk
    - family: Van Calster
      given: Ben
  citation-key: vandenGoorberghHarm2022
  container-title: Journal of the American Medical Informatics Association
  container-title-short: Journal of the American Medical Informatics Association
  DOI: 10.1093/jamia/ocac093
  ISSN: 1527-974X
  issued:
    - year: 2022
      month: 6
      day: 10
  page: ocac093
  title: >-
    The harm of class imbalance corrections for risk prediction models:
    illustration and simulation using logistic regression
  type: article-journal
...
